ifx_close
ifx_copy_blob
Informix Functions
PHP Manual

# ifx_connect

(No version information available, might be only in CVS)

ifx_connect — Open Informix server connection

### Description

resource ifx_connect ([ string `$database` [, string `$userid` [, string `$password` ]]] )

ifx_connect() establishes a connection to an Informix server.

In case a second call is made to ifx_connect() with the same arguments, no new link will be established, but instead, the link identifier of the already opened link will be returned.

The link to the server will be closed as soon as the execution of the script ends, unless it's closed earlier by explicitly calling ifx_close().

### Parameters

All of the arguments are optional, and if they're missing, defaults are taken from values supplied in php.ini (ifx.default_host for the host (Informix libraries will use INFORMIXSERVER environment value if not defined), ifx.default_user for user, ifx.default_password for the password (none if not defined).

`database`

  The database name, as a string.

`userid`

  The username, as a string.

`password`

  The password, as a string.

### Return Values

Returns a connection identifier on success, or `FALSE` on error.

### Examples

Example #1 Connect to a Informix database

`<?php
$conn_id = ifx_connect ("mydb@ol_srv1", "imyself", "mypassword");
?>`

### See Also

- ifx_pconnect()
- ifx_close()

ifx_close
ifx_copy_blob
Informix Functions
PHP Manual